# CbcHeuristicRandRound Class Reference

LocalSearch class. More...

`#include <CbcHeuristicRandRound.hpp>`

Inheritance diagram for CbcHeuristicRandRound:
[legend]
Collaboration diagram for CbcHeuristicRandRound:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicRandRound ()
| CbcHeuristicRandRound (CbcModel &model)
| CbcHeuristicRandRound (const CbcHeuristicRandRound &)
| ~CbcHeuristicRandRound ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicRandRound & | operator= (const CbcHeuristicRandRound &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.

## Detailed Description

LocalSearch class.

Definition at line 13 of file CbcHeuristicRandRound.hpp.

## Constructor & Destructor Documentation

CbcHeuristicRandRound::CbcHeuristicRandRound | ( |  | ) |

CbcHeuristicRandRound::CbcHeuristicRandRound | ( | CbcModel & | model | ) |

CbcHeuristicRandRound::CbcHeuristicRandRound | ( | const CbcHeuristicRandRound & |  | ) |

CbcHeuristicRandRound::~CbcHeuristicRandRound | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicRandRound::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicRandRound& CbcHeuristicRandRound::operator= | ( | const CbcHeuristicRandRound & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicRandRound::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicRandRound::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicRandRound::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicRandRound::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) needs comments

Implements CbcHeuristic.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcHeuristicRandRound.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines